import 'package:flutter/widgets.dart';

typedef ClickableBuilder = Widget Function(BuildContext context, ClickableBuilderInfo info);

typedef ClickableOnTapCallback = void Function(ClickableTapInfo detail);
typedef ClickableOnTapDownCallback = void Function(ClickableTapDownInfo detail);

class ClickableTapInfo {
  ClickableTapInfo({
    this.name,
    this.parameter,
  });

  final String name;
  final Map<String, dynamic> parameter;
}

class ClickableTapDownInfo {
  ClickableTapDownInfo({
    this.name,
    this.parameter,
    this.tapDownDetails,
  });

  final String name;
  final Map<String, dynamic> parameter;
  final TapDownDetails tapDownDetails;
}

class ClickableBuilderInfo {
  ClickableBuilderInfo({
    this.isHighlight,
    this.isHover,
  });

  final bool isHighlight;
  final bool isHover;
}
